For the complete documentation index, see llms.txt. This page is also available as Markdown.

Apply Discount

This endpoint allows you to apply a previously created discount to an existing subscriber's active subscription.

Method

POST

URL

Request Parameters

Field
Type
Description

subscriberId

Required

The email, phone number the user provided when starting the subscription.

discountCode

Required

The ID of the current active package. A successful response is returned only if the user has a subscription for this package.

packageId

Required

The ID of the subscription package to which the discount will be applied. The subscriber must have an active subscription to this package

Sample Request

POST https://api.zotlo.com/v1/subscription/cancellation HTTP/1.1
AccessKey: ••••••
AccessSecret: ••••••
Content-Type: application/json
ApplicationId:
Language: en

{
  "subscriberId": "test@mail.com",
  "packageId": "test_1234",
  "discountCode": "FRIDAY20"
}

You can find your AccessKey and AccessSecret in the Zotlo Panel under Developer Tools → API Keys

Sending ApplicationId is optional.

Successful Response

Failed Response

All failed responses follow the same standard error format. (See: Error Handling)

Last updated